XnQueue Class Reference

`#include <XnQueue.h>`

Inheritance diagram for XnQueue:
[legend]

## Public Member Functions

| XnQueue ()
virtual | ~XnQueue ()
virtual XnStatus | Init ()
virtual XnStatus | Push (XnValue const &value)
virtual XnStatus | Pop (XnValue &value)
XnValue const & | Top () const
XnValue & | Top ()
XnBool | IsEmpty () const
virtual XnUInt32 | Size () const

## Detailed Description

The queue

## Constructor & Destructor Documentation

## XnQueue()

XnQueue::XnQueue | ( |  | ) |

inline

Constructor. Initialize internal representations

## ~XnQueue()

virtual XnQueue::~XnQueue | ( |  | ) |

inline virtual

Destructor. Destroy internal representations

## Member Function Documentation

## Init()

virtual XnStatus XnQueue::Init | ( |  | ) |

inline virtual

Initialized the queue. This method should be called before calling any other method.

Reimplemented in XnThreadSafeQueue.

## IsEmpty()

XnBool XnQueue::IsEmpty | ( |  | ) | const

inline

Check if queue is empty

## Pop()

virtual XnStatus XnQueue::Pop | ( | XnValue & | value | ) |

inline virtual

Pop the value at the top of the queue

Parameters

  value | [out] The value that was at the top of the queue

Returns
  XN_STATUS_IS_EMPTY The queue is empty

Reimplemented in XnThreadSafeQueue.

## Push()

virtual XnStatus XnQueue::Push | ( | XnValue const & | value | ) |

inline virtual

Push a new value to the queue

Parameters

  value | [in] The value to add to the queue

Returns
  XN_STATUS_ALLOC_FAILED Failed to add to the queue because no nodes are available.

Reimplemented in XnThreadSafeQueue.

## Size()

virtual XnUInt32 XnQueue::Size | ( |  | ) | const

inline virtual

Get current size of queue

Reimplemented in XnThreadSafeQueue.

## Top() [1/2]

XnValue & XnQueue::Top | ( |  | ) |

inline

Get the value at the top of the queue (it is user responsibility to check queue is not empty)

Returns
  a reference to the object at head of the queue.

## Top() [2/2]

XnValue const & XnQueue::Top | ( |  | ) | const

inline

Get the value at the top of the queue (it is user responsibility to check queue is not empty)

Returns
  a reference to the object at head of the queue.

The documentation for this class was generated from the following file:

- XnQueue.h